import * as i0 from '@angular/core';
import { Injectable, Pipe, InjectionToken, NgModule } from '@angular/core';

const SEPARATOR = '|';

class NgxTranslateCutOptionsService {
    constructor() {
        /**
         * @returns separator – can be custom or predefined
         */
        this.separator = SEPARATOR;
    }
}
NgxTranslateCutOptionsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutOptionsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
NgxTranslateCutOptionsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutOptionsService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutOptionsService, decorators: [{
            type: Injectable
        }] });

const ngxTranslateCutOptionsFactory = (options) => {
    const ngxTranslateCutOptionsService = new NgxTranslateCutOptionsService();
    if (options) {
        if (options.separator) {
            ngxTranslateCutOptionsService.separator = options.separator;
        }
    }
    return ngxTranslateCutOptionsService;
};

class NgxTranslateCutPipe {
    constructor(options) {
        this.options = options;
    }
    transform(value, index) {
        const cutIndex = Number(index);
        const splitted = value ? value.split(this.options?.separator || SEPARATOR) : null;
        const phrase = splitted ? splitted[cutIndex] : null;
        const result = phrase ? phrase.trim() : '';
        return result;
    }
}
NgxTranslateCutPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutPipe, deps: [{ token: NgxTranslateCutOptionsService }], target: i0.ɵɵFactoryTarget.Pipe });
NgxTranslateCutPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutPipe, name: "translateCut" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'translateCut',
                }]
        }], ctorParameters: function () { return [{ type: NgxTranslateCutOptionsService }]; } });

let FOR_ROOT_OPTIONS_TOKEN = new InjectionToken('forRoot() NgxTranslateCutOptionsService configuration.');
class NgxTranslateCutModule {
    static forRoot(options) {
        return {
            ngModule: NgxTranslateCutModule,
            providers: [
                {
                    provide: FOR_ROOT_OPTIONS_TOKEN,
                    useValue: options,
                },
                {
                    provide: NgxTranslateCutOptionsService,
                    useFactory: ngxTranslateCutOptionsFactory,
                    deps: [FOR_ROOT_OPTIONS_TOKEN],
                },
            ],
        };
    }
}
NgxTranslateCutModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxTranslateCutModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutModule, declarations: [NgxTranslateCutPipe], exports: [NgxTranslateCutPipe] });
NgxTranslateCutModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutModule, providers: [NgxTranslateCutOptionsService] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.0.4", ngImport: i0, type: NgxTranslateCutModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [NgxTranslateCutPipe],
                    exports: [NgxTranslateCutPipe],
                    providers: [NgxTranslateCutOptionsService],
                }]
        }] });

/*
 * Public API Surface of ngx-translate-cut
 */

/**
 * Generated bundle index. Do not edit.
 */

export { FOR_ROOT_OPTIONS_TOKEN, NgxTranslateCutModule, NgxTranslateCutPipe };
//# sourceMappingURL=ngx-translate-cut.mjs.map
//# sourceMappingURL=ngx-translate-cut.mjs.map
